| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMImplementationRegistry Class Reference

List of all members.

## Static Public Methods

Functions introduced in DOM Level 3
DOMImplementation * | getDOMImplementation (const XMLCh *features)
| Return the first registered implementation that has the desired features, or null if none is found.
void | addSource (DOMImplementationSource *source)
| Register an implementation.

## Member Function Documentation

void DOMImplementationRegistry::addSource | ( | DOMImplementationSource * | source | ) | `[static]`

Register an implementation.

"Experimental - subject to change"

Parameters:

  source | A DOMImplementation Source object to be added to the registry. The registry does NOT adopt the source object. Users still own it.

Since:
  DOM Level 3

DOMImplementation* DOMImplementationRegistry::getDOMImplementation | ( | const XMLCh * | features | ) | `[static]`

Return the first registered implementation that has the desired features, or null if none is found.

"Experimental - subject to change"

Parameters:

  features | A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal Events 2.0"

Returns:
  An implementation that has the desired features, or `null` if this source has none.

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMImplementationRegistry.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.